VMA(8)

NAME
vma_stats - Mellanox's Messaging Accelerator (VMA) statistic utility.

SYNOPSIS
vma_stats [-p pid] [-k directory] [-v view] [-d details] [-i interval] [-n application] [-f] [-F] [-c cycles] [-l level] [-z]

DESCRIPTION
vma_stats is program that reports information about sockets and internal related objects for vma (7). vma_stats can be configured using command-line options The options are as follows:

-p,--pid id Show VMA statistics for process with pid.

-k,--directory=directory
    Set shared memory directory path.

-n,--name=application
    Show VMA statistics for application.

-f,--find_pid
    Find and show statistics for VMA instance running.

-F,--forbid_clean
    By setting this flag inactive shared objects would not be removed.

-i,--interval=interval
    Print report every interval seconds.

-c,--cycles=cycles
    Do report print cycles and exit, use 0 value for infinite.

-v,--view=[1|2|3|4|5]
    Set view type: 1- basic info, 2- extra info, 3- full info, 4- mc groups, 5- similar to 'netstat -tunaep'.

-d,--details=[1|2]
    Set details mode:1- to see totals, 2- to see deltas.

-z,--zero
    Zero counters.

-l,--log_level=level
    Set VMA log level (one of: none, panic, error, warn, info, details, debug, fine, finer, all).

-S,--fd_dump=fd [level]
    Dump statistics for fd number using log level. Use 0 value for all open fds.

-D,--details_level=level
    Set VMA log details level.

-s,--sockets=[list|range]
    Log only sockets that match list or range, format: 4-16 or 1,9 (or combination).

-V,--version
    Print version.

SEE ALSO
vma(7),
    vmad(8)

AUTHORS

Igor Ivanov <igori@mellanox.com>